commit:     ad80fa70d405b587c03712a70b49697b6c9ab831
Author:     Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Fri Oct 14 13:18:56 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Oct 14 18:39:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad80fa70

sci-astronomy/stellarium: Version bump to 15.0 and EAPI bump 5 -> 6

* Ported LINGUAS to L10N, did not find the following locales in 
profiles/l10n.desc: ak, en-CA, mt, nan -> Removing them
* Changed sound use flag to media (additional video support)
* new dependency: dev-qt/qtprintsupport

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2555

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-astronomy/stellarium/Manifest                 |   1 +
 sci-astronomy/stellarium/metadata.xml             |   1 +
 sci-astronomy/stellarium/stellarium-0.15.0.ebuild | 108 ++++++++++++++++++++++
 3 files changed, 110 insertions(+)

diff --git a/sci-astronomy/stellarium/Manifest 
b/sci-astronomy/stellarium/Manifest
index b8d338e..cbf5e13 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -11,3 +11,4 @@ DIST stars_8_2v0_1.cat 559068934 SHA256 
f1c0b3f25737f405ed4a2a045091d348885ffceb
 DIST stellarium-0.12.4.tar.gz 79343617 SHA256 
0fae1b6e2231ccfaba8fd00abf816a88bd89b5dc61387ac84edf479b363c6684 SHA512 
324a8c930281e26e91d45356cf3aab89cf708c7e64636b7e89de95af3f6d2569830caf05fb44ebef88f65dda55cb6dd18dcf4ee54d46da3910c456dc2daac478
 WHIRLPOOL 
8bce980d157904c4032368da335263a9afd2136386b0fd19d27e10f1c8b33712780130ed6845f26b3bac43f00d2de4aee80c47a0648a6cf6b4741bf69301f110
 DIST stellarium-0.14.2.tar.gz 139069181 SHA256 
aa04a5ae44ed177bc187d20e27a87cc11fc2f465036d673f02ec07b333a0b1f7 SHA512 
401dc8f88779119f0fef9d2e24cb5440c16a1f1d4a79ff80c51cfef848f6b1d881f5144acd599f8b709d099b120420c18bba9f50f3518c44bf815021f7efc2ed
 WHIRLPOOL 
8cb4dc54f91bffda6e4bab76efa855bc43e2440d9e6408a1028bc118d27971c17d9ec2106748ec7df5f6b47da4db6938b359490659092bb5169e15f5eed14d21
 DIST stellarium-0.14.3.tar.gz 137661611 SHA256 
de41c5b14fdf0c5f6e73bab2975f380554487b1817f2c5a2ebad3bb8e9e729a4 SHA512 
83d9a1c53f118c143e81d31e7f87dbf73368bfa981311c8bc41a51307fe6108c9169b43ad1fdde1cec84b9b1e8a4ef51d4de3b91d7aa676be38302b2223a6675
 WHIRLPOOL 
441302d93778185c9743451bd04148bd4a8a599eaff4f5a7b90025df9eb9873e1a203f0a82f687b7d2fb53fcf811e16903000d7179c6508738935518a2bbe966
+DIST stellarium-0.15.0.tar.gz 147160785 SHA256 
74d0e3a69fcbaf1c6278f601a44497fd3e9f2de7dfa11a60197d3afb68288746 SHA512 
3e91cb565343814c96f30a75767ecd56d93ec463cb1e925d169b30a8e0fddd285217193c8a24053aa1ce22e6e842a97c7a4b59c3ee7d65ec33308fa045e905c7
 WHIRLPOOL 
8a5ad7c8e4755b90976ad8f659668f5cbe49ea4023c0cabf7ae75afe3b4ebbfdd677556d92bf5999b7375e15fa91530787658a338b01dd7dafe4dfb962434e12

diff --git a/sci-astronomy/stellarium/metadata.xml 
b/sci-astronomy/stellarium/metadata.xml
index b1ad205..7479861 100644
--- a/sci-astronomy/stellarium/metadata.xml
+++ b/sci-astronomy/stellarium/metadata.xml
@@ -15,6 +15,7 @@
   projectors.
 </longdescription>
   <use>
+    <flag name="media">Enable sound and video support</flag>
     <flag name="stars">Install extra star catalogs</flag>
     <flag name="sound">Enable sound support</flag>
   </use>

diff --git a/sci-astronomy/stellarium/stellarium-0.15.0.ebuild 
b/sci-astronomy/stellarium/stellarium-0.15.0.ebuild
new file mode 100644
index 00000000..d73362e
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-0.15.0.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit cmake-utils flag-o-matic gnome2-utils
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="http://www.stellarium.org/";
+SRC_URI="
+       mirror://sourceforge/stellarium/${P}.tar.gz
+       stars? (
+               mirror://sourceforge/stellarium/stars_4_1v0_1.cat
+               mirror://sourceforge/stellarium/stars_5_2v0_1.cat
+               mirror://sourceforge/stellarium/stars_6_2v0_1.cat
+               mirror://sourceforge/stellarium/stars_7_2v0_1.cat
+               mirror://sourceforge/stellarium/stars_8_2v0_1.cat
+       )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug nls media stars"
+
+RESTRICT="test" # There are no tests
+
+RDEPEND="
+       media-fonts/dejavu
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtopengl:5
+       dev-qt/qtscript:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtwidgets:5
+       virtual/opengl
+       sys-libs/zlib
+       media? ( dev-qt/qtmultimedia:5[widgets] )"
+DEPEND="${RDEPEND}
+       dev-qt/qttest:5
+       dev-qt/qtconcurrent:5
+       nls? ( dev-qt/linguist-tools:5 )"
+
+LANGS=(
+       af am ar as ast az be bg bn bo br bs ca cs
+       cy da de el en en-GB en-US eo es et eu fa fi fil fr
+       ga gd gl gu he hi hr hu hy ia id is it ja ka kk kn ko ky
+       la lb lo lt lv mk ml mn mr ms nb nl nn oc pa pl pt pt-BR ro
+       ru se si sk sl sq sr sv sw ta te tg th tl tr tt uk uz vi
+       zh-CN zh-HK zh-TW zu
+       )
+
+for X in "${LANGS[@]}" ; do
+       IUSE+=" l10n_${X}"
+done
+unset X
+
+src_prepare() {
+       default
+       if [[ -n ${L10N} ]] ; then
+               sed -i \
+                       -e '/aa ab ae/d' \
+                       -e "/GETTEXT_CREATE_TRANSLATIONS/a \ ${L10N}" \
+                       po/stellarium{,-skycultures}/CMakeLists.txt || die 
#403647
+       fi
+       # Turn off TelescopeControl since dev-qt/qtserialport isn't
+       # marked stable and is missing keywords besides.
+       sed -i \
+               -e '/SimpleDrawLine/  s:0:1:g' \
+               -e '/TelescopeControl/s:1:0:g' \
+               CMakeLists.txt || die
+       use debug || append-cppflags -DQT_NO_DEBUG #415769
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_NLS="$(usex nls)"
+               -DENABLE_MEDIA="$(usex media)"
+       )
+       CMAKE_IN_SOURCE_BUILD=1 cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # use the more up-to-date system fonts
+       rm "${ED%/}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+       dosym ../../fonts/dejavu/DejaVuSans.ttf 
/usr/share/stellarium/data/DejaVuSans.ttf
+       dosym ../../fonts/dejavu/DejaVuSansMono.ttf 
/usr/share/stellarium/data/DejaVuSansMono.ttf
+
+       if use stars ; then
+               insinto /usr/share/${PN}/stars/default
+               doins "${DISTDIR}"/stars_[45678]_[12]v0_1*.cat
+       fi
+       newicon doc/images/stellarium-logo.png ${PN}.png
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to